PROMETHEUS-PROCESS-EXPORTER(1)

NAME
prometheus-process-exporter - Prometheus exporter which mines procfs to report on selected processes.

SYNOPSIS
prometheus-process-exporter [options]

DESCRIPTION
Some apps are impractical to instrument directly, either because you don't control the code or they're written in a language that isn't easy to instrument with Prometheus. This exporter solves that issue by mining process metrics from procfs.

OPTIONS

The recommended option is to use a config file, but for convenience and backwards compatibility the -procnames / -namemapping options exist as an alternative.

The -children option (default:true) makes it so that any process that otherwise isn't part of its own group becomes part of the first group found (if any) when walking the process tree upwards. In other words, resource usage of subprocesses is added to their parent's usage unless the subprocess identifies as a different group name.

-children If a proc is tracked, track with it any children that aren't part of their own group (default true).

-config.path string Path to YAML config file.

-debug Log debugging information to stdout.

-man Print manual.

-namemapping string Comma-separated list, alternating process name and capturing regex to apply to cmdline.

-once-to-stdout-delay duration Don't bind, just wait this much time, print the metrics once to stdout, and exit.

-procfs string Path to read proc data from (default "/proc").

-procnames string Comma-separated list of process names to monitor.

-recheck Re-check process names on each scrape.

-web.listen-address string Address on which to expose metrics and web interface. (default ":9256").

-web.telemetry-path string Path under which to expose metrics. (default "/metrics").

SEE ALSO
proc(5)

AUTHOR
Nick Cabatoff <nick.cabatoff@gmail.com>